# iterator.h File Reference

`#include <glibmm.h>`
`#include <gst/gstiterator.h>`
`#include <stdexcept>`

Go to the source code of this file.

## Namespaces

namespace | Gst

## Classes

class | Gst::IteratorBase<CppType>
| Gst::IteratorBase - Base class for classes that retrieve multiple elements in a thread safe way. More...
class | Gst::IteratorBasic<CppType>
| Gst::IteratorBasic - Class that retrieves multiple elements in a thread safe way. More...
class | Gst::Iterator<CppType>
| Gst::Iterator - Class that retrieve multiple reference counted elements in a thread safe way. More...

## Enumerations

enum | Gst::IteratorItem { Gst::ITERATOR_ITEM_SKIP, Gst::ITERATOR_ITEM_PASS, Gst::ITERATOR_ITEM_END }
enum | Gst::IteratorResult { Gst::ITERATOR_DONE, Gst::ITERATOR_OK, Gst::ITERATOR_RESYNC, Gst::ITERATOR_ERROR }